Bug 678562 - writing to a virtio serial port while no one is listening on the host side hangs the guest [rhel-6.0.z]
Summary: writing to a virtio serial port while no one is listening on the host side ha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 643751
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-18 12:41 UTC by RHEL Product and Program Management
Modified: 2013-01-11 03:49 UTC (History)
8 users (show)

Fixed In Version: kernel-2.6.32-71.19.1.el6
Doc Type: Bug Fix
Doc Text:
If a host was slow in reading data or did not read data at all, blocking write() calls not only blocked the program that called the write() call but also the entire guest. This was caused by the write() calls waiting until an acknowledgment that the data consumed was received from the host. With this update, write() calls no longer wait for such acknowledgment: control is immediately returned to the user space application. This ensures that even if the host is busy processing other data or is not consuming data at all, the guest is not blocked.
Clone Of:
Environment:
Last Closed: 2011-04-08 02:59:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description RHEL Product and Program Management 2011-02-18 12:41:06 UTC
This bug has been copied from bug #643751 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 5 juzhang 2011-03-23 06:16:30 UTC
According to comment4,set this issue as verified

Comment 6 errata-xmlrpc 2011-04-08 02:59:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 7 Martin Prpič 2011-04-12 12:42:02 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
If a host was slow in reading data or did not read data at all, blocking write() calls not only blocked the program that called the write() call but also the entire guest. This was caused by the write() calls waiting until an acknowledgment that the data consumed was received from the host. With this update, write() calls no longer wait for such acknowledgment: control is immediately returned to the user space application. This ensures that even if the host is busy processing other data or is not consuming data at all, the guest is not blocked.


Note You need to log in before you can comment on or make changes to this bug.